JaxbOneToOne (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbOneToOne

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbOneToOne

    public class JaxbOneToOne

extends Object

Field Summary
`protected JaxbAccessType` | `access`
`protected JaxbCascadeType` | `cascade`
`protected JaxbFetchType` | `fetch`
`protected Boolean` | `id`
`protected List<JaxbJoinColumn>` | `joinColumn`
`protected JaxbJoinTable` | `joinTable`
`protected String` | `mappedBy`
`protected String` | `mapsId`
`protected String` | `name`
`protected Boolean` | `optional`
`protected Boolean` | `orphanRemoval`
`protected List<JaxbPrimaryKeyJoinColumn>` | `primaryKeyJoinColumn`
`protected String` | `targetEntity`

Constructor Summary
`JaxbOneToOne()`

Method Summary
`JaxbAccessType` | `getAccess()` Gets the value of the access property.
`JaxbCascadeType` | `getCascade()` Gets the value of the cascade property.
`JaxbFetchType` | `getFetch()` Gets the value of the fetch property.
`List<JaxbJoinColumn>` | `getJoinColumn()` Gets the value of the joinColumn property.
`JaxbJoinTable` | `getJoinTable()` Gets the value of the joinTable property.
`String` | `getMappedBy()` Gets the value of the mappedBy property.
`String` | `getMapsId()` Gets the value of the mapsId property.
`String` | `getName()` Gets the value of the name property.
`List<JaxbPrimaryKeyJoinColumn>` | `getPrimaryKeyJoinColumn()` Gets the value of the primaryKeyJoinColumn property.
`String` | `getTargetEntity()` Gets the value of the targetEntity property.
`Boolean` | `isId()` Gets the value of the id property.
`Boolean` | `isOptional()` Gets the value of the optional property.
`Boolean` | `isOrphanRemoval()` Gets the value of the orphanRemoval property.
`void` | `setAccess(JaxbAccessType value)` Sets the value of the access property.
`void` | `setCascade(JaxbCascadeType value)` Sets the value of the cascade property.
`void` | `setFetch(JaxbFetchType value)` Sets the value of the fetch property.
`void` | `setId(Boolean value)` Sets the value of the id property.
`void` | `setJoinTable(JaxbJoinTable value)` Sets the value of the joinTable property.
`void` | `setMappedBy(String value)` Sets the value of the mappedBy property.
`void` | `setMapsId(String value)` Sets the value of the mapsId property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setOptional(Boolean value)` Sets the value of the optional property.
`void` | `setOrphanRemoval(Boolean value)` Sets the value of the orphanRemoval property.
`void` | `setTargetEntity(String value)` Sets the value of the targetEntity property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### primaryKeyJoinColumn

    protected List<JaxbPrimaryKeyJoinColumn> primaryKeyJoinColumn

### joinColumn

    protected List<JaxbJoinColumn> joinColumn

### joinTable

    protected JaxbJoinTable joinTable

### cascade

    protected JaxbCascadeType cascade

### name

    protected String name

### targetEntity

    protected String targetEntity

### fetch

    protected JaxbFetchType fetch

### optional

    protected Boolean optional

### access

    protected JaxbAccessType access

### mappedBy

    protected String mappedBy

### orphanRemoval

    protected Boolean orphanRemoval

### mapsId

    protected String mapsId

### id

    protected Boolean id

Constructor Detail

### JaxbOneToOne

    public JaxbOneToOne()

Method Detail

### getPrimaryKeyJoinColumn

    public List<JaxbPrimaryKeyJoinColumn> getPrimaryKeyJoinColumn()

  Gets the value of the primaryKeyJoinColumn property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the primaryKeyJoinColumn property.

  For example, to add a new item, do as follows:

          getPrimaryKeyJoinColumn().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbPrimaryKeyJoinColumn`

### getJoinColumn

    public List<JaxbJoinColumn> getJoinColumn()

  Gets the value of the joinColumn property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the joinColumn property.

  For example, to add a new item, do as follows:

          getJoinColumn().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbJoinColumn`

### getJoinTable

    public JaxbJoinTable getJoinTable()

  Gets the value of the joinTable property.

  Returns:
    possible object is `JaxbJoinTable`

### setJoinTable

    public void setJoinTable(JaxbJoinTable value)

  Sets the value of the joinTable property.

  Parameters:
    `value` - allowed object is `JaxbJoinTable`

### getCascade

    public JaxbCascadeType getCascade()

  Gets the value of the cascade property.

  Returns:
    possible object is `JaxbCascadeType`

### setCascade

    public void setCascade(JaxbCascadeType value)

  Sets the value of the cascade property.

  Parameters:
    `value` - allowed object is `JaxbCascadeType`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getTargetEntity

    public String getTargetEntity()

  Gets the value of the targetEntity property.

  Returns:
    possible object is `String`

### setTargetEntity

    public void setTargetEntity(String value)

  Sets the value of the targetEntity property.

  Parameters:
    `value` - allowed object is `String`

### getFetch

    public JaxbFetchType getFetch()

  Gets the value of the fetch property.

  Returns:
    possible object is `JaxbFetchType`

### setFetch

    public void setFetch(JaxbFetchType value)

  Sets the value of the fetch property.

  Parameters:
    `value` - allowed object is `JaxbFetchType`

### isOptional

    public Boolean isOptional()

  Gets the value of the optional property.

  Returns:
    possible object is `Boolean`

### setOptional

    public void setOptional(Boolean value)

  Sets the value of the optional property.

  Parameters:
    `value` - allowed object is `Boolean`

### getAccess

    public JaxbAccessType getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `JaxbAccessType`

### setAccess

    public void setAccess(JaxbAccessType value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `JaxbAccessType`

### getMappedBy

    public String getMappedBy()

  Gets the value of the mappedBy property.

  Returns:
    possible object is `String`

### setMappedBy

    public void setMappedBy(String value)

  Sets the value of the mappedBy property.

  Parameters:
    `value` - allowed object is `String`

### isOrphanRemoval

    public Boolean isOrphanRemoval()

  Gets the value of the orphanRemoval property.

  Returns:
    possible object is `Boolean`

### setOrphanRemoval

    public void setOrphanRemoval(Boolean value)

  Sets the value of the orphanRemoval property.

  Parameters:
    `value` - allowed object is `Boolean`

### getMapsId

    public String getMapsId()

  Gets the value of the mapsId property.

  Returns:
    possible object is `String`

### setMapsId

    public void setMapsId(String value)

  Sets the value of the mapsId property.

  Parameters:
    `value` - allowed object is `String`

### isId

    public Boolean isId()

  Gets the value of the id property.

  Returns:
    possible object is `Boolean`

### setId

    public void setId(Boolean value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.